Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDTextbox

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDField
          org.pdfbox.pdmodel.interactive.form.PDVariableText
              org.pdfbox.pdmodel.interactive.form.PDTextbox

All Implemented Interfaces:
  COSObjectable

public class PDTextbox
extends PDVariableText

A class for handling the PDF field as a textbox.

Version:
  $Revision: 1.8 $
Author:
  sug

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDVariableText
`FLAG_COMB, FLAG_DO_NOT_SCROLL, FLAG_DO_NOT_SPELL_CHECK, FLAG_FILE_SELECT, FLAG_MULTILINE, FLAG_PASSWORD, FLAG_RICH_TEXT, QUADDING_CENTERED, QUADDING_LEFT, QUADDING_RIGHT`

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`FLAG_NO_EXPORT, FLAG_READ_ONLY, FLAG_REQUIRED`

Constructor Summary
`PDTextbox(PDAcroForm theAcroForm, COSDictionary field)`

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDVariableText
`doNotScroll, doNotSpellCheck, getDefaultAppearance, getQ, getValue, isFileSelect, isMultiline, isPassword, isRichText, setComb, setDoNotScroll, setDoNotSpellCheck, setFileSelect, setMultiline, setPassword, setQ, setRichText, setValue, shouldComb`

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`findFieldType, getAcroForm, getActions, getCOSObject, getDictionary, getFfFlag, getFieldFlags, getFieldType, getFullyQualifiedName, getKids, getParent, getPartialName, getWidget, importFDF, isNoExport, isReadonly, isRequired, setAcroForm, setActions, setFfFlag, setFieldFlags, setKids, setNoExport, setParent, setPartialName, setReadonly, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDTextbox

    public PDTextbox(PDAcroForm theAcroForm,
                     COSDictionary field)

Parameters:
  `theAcroForm` - The acroForm for this field.
  `field` - The field's dictionary.
See Also:
  `org.pdfbox.pdmodel.field.PDField#COSField(org.pdfbox.cos.COSDictionary)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD